#
# Spec file for package cryfs
#

Name:           cryfs
Version:        0.9.9
Release:        %mkrel 1
Summary:        cryfs encryption
License:        GPL-2.0+
Group:          Security
Source:         %{name}-%{version}.tar.xz
Patch0:         cryfs-build-test.patch
Patch1:         cryfs-disable-mars-test.patch

URL:            https://github.com/cryfs/cryfs
#=================================
BuildRequires: cmake
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}boost-static-devel
BuildRequires: %{_lib}cryptopp6-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}fuse-devel
BuildRequires: %{_lib}openssl-devel
#=================================

%description
CryFS encrypts your files, so you can safely store them anywhere.
It works well together with cloud services like Dropbox,
iCloud, OneDrive and others.


%prep
%setup -q
%apply_patches

%build
mkdir build
cd build
cmake -DBUILD_TESTING=off -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=RELEASE ..
%make
cd ..

%install
rm -rf %buildroot
%make_install -C build

%clean
rm -rf %{buildroot}

%files
%defattr(0755,root,root)
%{_bindir}/cryfs*
%{_mandir}/man1/cryfs.1.*

%changelog
* Mon Jul 23 2018 adrianomorselli <adrianomorselli> 0.9.9-1uplos2018
- update
- Remove patch2 it is applied in source and fix patch1 for new release
